Bug 1413574 - dracut initramfs does not assemble linux raid devices
Summary: dracut initramfs does not assemble linux raid devices
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 12:24 UTC by Ian Dall
Modified: 2017-12-12 10:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:55:26 UTC
Type: Bug


Attachments (Terms of Use)
rdsoreport.txt (compressed) (31.77 KB, application/x-gzip)
2017-01-16 12:24 UTC, Ian Dall
no flags Details

Description Ian Dall 2017-01-16 12:24:06 UTC
Created attachment 1241209 [details]
rdsoreport.txt (compressed)

Description of problem:
When I try and boot my Fedora25 installation, it hangs for a while before printing a lot of "Warning: dracut-initqueue timeout - starting timeout scripts" messages and eventually giving up. Root is on a logical volume on top of a (linux/mdadm) raid1 which has another raid0 device and a ssd as members.

This configuration works perfectly on Fedora 21.



Version-Release number of selected component (if applicable):

dracut-044-78.fc25

How reproducible:

Always

Steps to Reproduce:
1. Duplicate above configuration. (This is admittedly complex and I am not sure what the minimum configuration is. Perhaps lvm on any software raid.)
2. Boot
3.

Actual results:
The boot process hangs for a while before printing a lot of "Warning: dracut-initqueue timeout - starting timeout scripts" messages and eventually giving up failing to find the root device

Expected results:
System will find the root device and actually boot.

Additional info:

If I add rdbreak to the command line, I get a shell prompt (after all the "dracut-initqueue timeout" messages have ceased). There are no raid devices in /dev and /proc/mdstat is empty. If I type "mdadm -As" all raid devices are assembled properly, so the device drivers, mdadm.conf and mdadm utility are all there.

This is somewhat similar to bug ID 1402983, but there are also differences. In particular it does not seem that this failure is not due to lvm somehow grabbing a raid member.

Comment 1 Harald Hoyer 2017-01-16 16:03:27 UTC
Your kernel command line:
   root=/dev/mapper/stable-native.Fedora25.root ro LANG=en_AU.UTF-8 rdbreak

It is clearly missing important parameters.

As a workaround, add "rd.auto" to the kernel command line.


What is the output of:

# dracut --print-cmdline

??

Comment 2 Ian Dall 2017-01-17 12:41:59 UTC
(In reply to Harald Hoyer from comment #1)
> Your kernel command line:
>    root=/dev/mapper/stable-native.Fedora25.root ro LANG=en_AU.UTF-8 rdbreak
> 
> It is clearly missing important parameters.
> 
> As a workaround, add "rd.auto" to the kernel command line.
> 
> 
> What is the output of:
> 
> # dracut --print-cmdline
> 
> ??

Ah. Thanks. rd.auto does indeed work. This is strange because rd.auto wasn't needed for dracut-037-11 even though the default has apparently been rc.auto=0 since v24.

# dracut --print-cmdline 
 rd.lvm.lv=volatile/swap.fs 
 rd.lvm.lv=stable/native.Fedora25.root 
 rd.md.uuid=0878d4ad:03d5e790:343ab424:1a2d8cb4  rd.md.uuid=421a005c:9f585d66:2f941de8:e6ee6f49  rd.md.uuid=984c0e00:3115e741:083ec5eb:07e01918 resume=/dev/mapper/volatile-swap.fs  root=/dev/mapper/stable-native.Fedora20.root rootflags=rw,noatime,seclabel,stripe=512,data=ordered rootfstype=ext4

Is all that really the preferred method?

Comment 3 Harald Hoyer 2017-01-18 10:28:01 UTC
(In reply to Ian Dall from comment #2)
> (In reply to Harald Hoyer from comment #1)
> > Your kernel command line:
> >    root=/dev/mapper/stable-native.Fedora25.root ro LANG=en_AU.UTF-8 rdbreak
> > 
> > It is clearly missing important parameters.
> > 
> > As a workaround, add "rd.auto" to the kernel command line.
> > 
> > 
> > What is the output of:
> > 
> > # dracut --print-cmdline
> > 
> > ??
> 
> Ah. Thanks. rd.auto does indeed work. This is strange because rd.auto wasn't
> needed for dracut-037-11 even though the default has apparently been
> rc.auto=0 since v24.
> 
> # dracut --print-cmdline 
>  rd.lvm.lv=volatile/swap.fs 
>  rd.lvm.lv=stable/native.Fedora25.root 
>  rd.md.uuid=0878d4ad:03d5e790:343ab424:1a2d8cb4 
> rd.md.uuid=421a005c:9f585d66:2f941de8:e6ee6f49 
> rd.md.uuid=984c0e00:3115e741:083ec5eb:07e01918
> resume=/dev/mapper/volatile-swap.fs 
> root=/dev/mapper/stable-native.Fedora20.root
> rootflags=rw,noatime,seclabel,stripe=512,data=ordered rootfstype=ext4
> 
> Is all that really the preferred method?

The preferred method is to add those parameters printed by dracut above to the kernel command line.

"rd.lvm.lv" and "rd.md.uuid" being the critical ones here

Comment 4 Fedora End Of Life 2017-11-16 19:41:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:55:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.